summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-09-23 16:33:29 +0200
committerPacho Ramos <pacho@gentoo.org>2018-09-23 16:33:29 +0200
commit93dfe5ba210abb6c363c711847ad1e9c3963f4fc (patch)
tree801ff75ce22dd8c31686c5acf31546b2f43a6f8d /sys-power
parentsys-fs/udisks: gobject-introspection-common might be needed (#617558) (diff)
downloadgentoo-93dfe5ba210abb6c363c711847ad1e9c3963f4fc.tar.gz
gentoo-93dfe5ba210abb6c363c711847ad1e9c3963f4fc.tar.bz2
gentoo-93dfe5ba210abb6c363c711847ad1e9c3963f4fc.zip
sys-power/upower: Version bump
Package-Manager: Portage-2.3.49, Repoman-2.3.11
Diffstat (limited to 'sys-power')
-rw-r--r--sys-power/upower/Manifest1
-rw-r--r--sys-power/upower/upower-0.99.8.ebuild91
2 files changed, 92 insertions, 0 deletions
diff --git a/sys-power/upower/Manifest b/sys-power/upower/Manifest
index 3ab9abf0de4..ec7cb8e4e9d 100644
--- a/sys-power/upower/Manifest
+++ b/sys-power/upower/Manifest
@@ -1,2 +1,3 @@
DIST upower-0.99.5.tar.xz 432344 BLAKE2B 048471cee61e57ee673e2ba2e2f826ef1770291ca5b7a02adcce11acd78f96a3aa443b5f66abc595ce6578ca59a15a940b0c4924b443babc798fa54f4f629564 SHA512 2fb06bea69455f538146576665e36c5b91eb18b119fa77e29d383fcb2a86ea58650b82e258f157d03c40147ecb12ea545997199580f0e24847ac6ea04d46e5ea
DIST upower-0.99.7.tar.xz 447832 BLAKE2B 3342f38552a5eb6abffc6b15803db0e8a24e6a3345fe1007f3a5fa66dd06ddebacf2352a751f7a3adf7ee0fe28797d7a1c5b3ec27cd190aabed17e2c7070a438 SHA512 a1ad200e715284eae815580bba3faad480f7f13401f6ff1a2e7446172796a2413990ce2b553de713ddc530849b2dff1f0ddc12fbd2fd9b55510bbb644d2340a4
+DIST upower-0.99.8.tar.xz 448664 BLAKE2B e101e7d1b2aede77c1ed2da1fd23b87a95ccac8d901bd8d1f8bebcd5de7052a66f1840cf578a48453538e166aae56ef4bc6d3a2b85f7ba148ecac5cc0a486809 SHA512 dfd2960cae382195dfc7a703a02af298d9de55bc626cde2a1f97e7983842191ba9d99eb2044190214e792539e7d6c9d8e00b5aed17e5e86b04544e9ab90278b1
diff --git a/sys-power/upower/upower-0.99.8.ebuild b/sys-power/upower/upower-0.99.8.ebuild
new file mode 100644
index 00000000000..3d7208a88ea
--- /dev/null
+++ b/sys-power/upower/upower-0.99.8.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit systemd xdg-utils
+
+DESCRIPTION="D-Bus abstraction for enumerating power devices, querying history and statistics"
+HOMEPAGE="https://upower.freedesktop.org/"
+
+# No tarball released, use the same commit as Fedora
+#SRC_URI="https://${PN}.freedesktop.org/releases/${P}.tar.xz"
+COMMIT="9125ab7ee96fdc4ecc68cfefb50c1cab"
+SRC_URI="https://gitlab.freedesktop.org/upower/upower/uploads/${COMMIT}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/3" # based on SONAME of libupower-glib.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+
+# gtk-doc files are not available as prebuilt in the tarball
+IUSE="doc +introspection ios kernel_FreeBSD kernel_linux selinux"
+
+COMMON_DEPS="
+ >=dev-libs/dbus-glib-0.100
+ >=dev-libs/glib-2.34:2
+ sys-apps/dbus:=
+ introspection? ( dev-libs/gobject-introspection:= )
+ kernel_linux? (
+ virtual/libusb:1
+ virtual/libgudev:=
+ virtual/udev
+ ios? (
+ >=app-pda/libimobiledevice-1:=
+ >=app-pda/libplist-1:=
+ )
+ )
+"
+RDEPEND="
+ ${COMMON_DEPS}
+ selinux? ( sec-policy/selinux-devicekit )
+"
+DEPEND="${COMMON_DEPS}
+ doc? ( dev-util/gtk-doc )
+ dev-libs/libxslt
+ app-text/docbook-xsl-stylesheets
+ dev-util/intltool
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+"
+
+QA_MULTILIB_PATHS="usr/lib/${PN}/.*"
+
+DOCS=( AUTHORS HACKING NEWS README )
+
+src_prepare() {
+ default
+ sed -i -e '/DISABLE_DEPRECATED/d' configure || die
+}
+
+src_configure() {
+ local backend
+
+ if use kernel_linux ; then
+ backend=linux
+ elif use kernel_FreeBSD ; then
+ backend=freebsd
+ else
+ backend=dummy
+ fi
+
+ local myeconfargs=(
+ --disable-static
+ --disable-tests
+ --enable-man-pages
+ --libexecdir="${EPREFIX%/}"/usr/lib/${PN}
+ --localstatedir="${EPREFIX%/}"/var
+ --with-backend=${backend}
+ --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
+ --with-systemdutildir="$(systemd_get_utildir)"
+ $(use_enable doc gtk-doc)
+ $(use_enable introspection)
+ $(use_with ios idevice)
+ )
+ xdg_environment_reset
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+ keepdir /var/lib/upower #383091
+}